Package com.xebialabs.xlrelease.domain.runner

# Class JobRunner

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.runner.JobRunner

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `RemoteJobRunner`

public abstract class JobRunner extends Configuration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobRunner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `abortJob(long jobId, String executionId)`
  `abstract Integer`
  `capacity()`
  `abstract void`
  `configure()`
  `abstract void`
  `delete()`
  `abstract Integer`
  `evictionTime()`
  `abstract String`
  `execute(RemoteExecution remoteExecution)`
  `abstract Set<String>`
  `getCapabilities()`
  `abstract Integer`
  `idleTimeToLive()`
  `abstract boolean`
  `isAvailable()`
  `abstract boolean`
  `isEnabled()`
  `abstract boolean`
  `isEncryptJobData()`
  `abstract RemoteRunnerRegistrySettings`
  `registrySettings()`
  `abstract void`
  `start()`
  `abstract void`
  `stop()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JobRunner

    public JobRunner()

- ## Method Details

  - ### abortJob

    public abstract void abortJob(long jobId, String executionId)

  - ### capacity

    public abstract Integer capacity()

  - ### configure

    public abstract void configure()

  - ### delete

    public abstract void delete()

  - ### evictionTime

    public abstract Integer evictionTime()

  - ### execute

    public abstract String execute(RemoteExecution remoteExecution)

  - ### getCapabilities

    public abstract Set<String> getCapabilities()

  - ### idleTimeToLive

    public abstract Integer idleTimeToLive()

  - ### isAvailable

    public abstract boolean isAvailable()

  - ### isEnabled

    public abstract boolean isEnabled()

  - ### isEncryptJobData

    public abstract boolean isEncryptJobData()

  - ### registrySettings

    public abstract RemoteRunnerRegistrySettings registrySettings()

  - ### start

    public abstract void start()

  - ### stop

    public abstract void stop()